Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017 Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
<== Date ==> <== Thread ==>

Subject: EPICS Qt release 3.5.1
From: "Andrew C. Starritt" <Andrew.Starritt@synchrotron.org.au>
To: "'tech-talk@aps.anl.gov'" <tech-talk@aps.anl.gov>
Date: Fri, 14 Jul 2017 02:02:20 +0000
Dear all,
 
We would like to announce the release of EPICS Qt release 3.5.1
 
This is available at https://github.com/qtepics with guidance notes
 
The main change in this release is that the QEPlugin library has been split the
into two distinct libraries which are:
 
  QEFramework - the functional library which contains the widgets themselves
                together with support functionality. qegui and any other bespoke
                display managers programs will need to link against this library.
 
  QEPlugin - strictly the widget plugin library, usable by any application using
             the ui loader, such as qegui and designer. The QEPlugin library is
             dependent on the QEFramework library.
 
Both libraries are part of the qeframework repository.
 
The release notes, located at https://qtepics.github.io/release_notes.html , go into
further detail.
 
Regards
 
Andrew C. Starritt | Principal Controls Engineer | Australian Synchrotron
p: (03) 8540 4164 | f: (03) 8540 4200
andrew.starritt@synchrotron.org.au | www.synchrotron.org.au
800 Blackburn Road, Clayton, Victoria 3168
 
 
 

Navigate by Date:
Prev: RE: NI4882 GPIB support for Linux 64bit? Mark Rivers
Next: Re: ioc crashing while using asyn & modbus Gary Croke
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
Navigate by Thread:
Prev: RE: NI4882 GPIB support for Linux 64bit? freddie.akeroyd
Next: clone R3.16 error Shen, Guobao
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
ANJ, 16 Jul 2017 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·